"use client";
function h(i, t, e, s) {
  if (e.disableNavigation)
    return;
  const { pagedNavigation: r, numberOfMonths: u } = e, { startOfMonth: d, addMonths: f, differenceInCalendarMonths: a } = s, o = r ? u ?? 1 : 1, n = d(i);
  if (!t)
    return f(n, -o);
  if (!(a(n, t) <= 0))
    return f(n, -o);
}
export {
  h as getPreviousMonth
};
